# Uses of Interface
org.apache.lucene.sandbox.facet.iterators.OrdinalIterator

Packages that use OrdinalIterator
Package
Description
org.apache.lucene.sandbox.facet.cutters
Sandbox faceting: facet cutters, see `FacetCutter` for details.
org.apache.lucene.sandbox.facet.iterators
Sandbox faceting: facet ordinals.
org.apache.lucene.sandbox.facet.recorders
Sandbox faceting: classes that can record per ordinal data E.g.

## Uses of OrdinalIterator in org.apache.lucene.sandbox.facet.cutters

Subinterfaces of OrdinalIterator in org.apache.lucene.sandbox.facet.cutters
Modifier and Type
Interface
Description
`interface`
`LeafFacetCutter`
Interface to be implemented to cut documents into facets for an index segment (leaf).
Methods in org.apache.lucene.sandbox.facet.cutters that return OrdinalIterator
Modifier and Type
Method
Description
`default OrdinalIterator`
FacetCutter.`getChildrenOrds(int ord)`
For facets that have hierarchy (levels), get all children ordinals for given ord.
`OrdinalIterator`
TaxonomyFacetsCutter.`getChildrenOrds(int parentOrd)`
`default OrdinalIterator`
FacetCutter.`getOrdinalsToRollup()`
For facets that have hierarchy (levels), return all top level dimension ordinals that require rollup.
`OrdinalIterator`
TaxonomyFacetsCutter.`getOrdinalsToRollup()`

## Uses of OrdinalIterator in org.apache.lucene.sandbox.facet.iterators

Classes in org.apache.lucene.sandbox.facet.iterators that implement OrdinalIterator
Modifier and Type
Class
Description
`final class`
`CandidateSetOrdinalIterator`
`OrdinalIterator` that filters out ordinals from delegate if they are not in the candidate set.
`final class`
`TaxonomyChildrenOrdinalIterator`
Facets results selector to get children for selected parent.
`final class`
`TopnOrdinalIterator<T extends Comparable<T>>`
Class that consumes incoming ordinals, sorts them by provided Comparable, and returns first top N ordinals only.
Fields in org.apache.lucene.sandbox.facet.iterators declared as OrdinalIterator
Modifier and Type
Field
Description
`static final OrdinalIterator`
OrdinalIterator.`EMPTY`
Return empty ordinal iterator
Methods in org.apache.lucene.sandbox.facet.iterators that return OrdinalIterator
Modifier and Type
Method
Description
`static OrdinalIterator`
OrdinalIterator.`fromArray(int[] source)`
Convert int array to ordinal iterator.
Constructors in org.apache.lucene.sandbox.facet.iterators with parameters of type OrdinalIterator
Modifier
Constructor
Description
``
`TaxonomyChildrenOrdinalIterator(OrdinalIterator sourceOrds, ParallelTaxonomyArrays.IntArray parents, int parentOrd)`
Create
``
`TopnOrdinalIterator(OrdinalIterator sourceOrds, ComparableSupplier<T> comparableSupplier, int topN)`
Constructor.

## Uses of OrdinalIterator in org.apache.lucene.sandbox.facet.recorders

Methods in org.apache.lucene.sandbox.facet.recorders that return OrdinalIterator
Modifier and Type
Method
Description
`OrdinalIterator`
CountFacetRecorder.`recordedOrds()`
`OrdinalIterator`
FacetRecorder.`recordedOrds()`
Return next collected ordinal, or `NO_MORE_ORDS`
`OrdinalIterator`
LongAggregationsFacetRecorder.`recordedOrds()`
`OrdinalIterator`
MultiFacetsRecorder.`recordedOrds()`